GIT-RENAME-TAG(1)

NAME
git-rename-tag - Rename a tag

SYNOPSIS
git-rename-tag <old-tag-name> <new-tag-name>

DESCRIPTION
Rename a tag (locally and remotely)

OPTIONS
<old-tag-name>

The name of the tag you want to rename.

<new-tag-name>

The new name of the tag.

EXAMPLES
$ git tag test
$ git push --tags
Total 0 (delta 0), reused 0 (delta 0)
To git@myserver.com:myuser/myrepository.git
 * [new tag]         test -> test
$ git tag
test
$ git rename-tag test test2
Deleted tag 'test' (was 1111111)
Total 0 (delta 0), reused 0 (delta 0)
To git@myserver.com:myuser/myrepository.git
 * [new tag]         test2 -> test2
remote: warning: Deleting a non-existent ref.
To git@myserver.com:myuser/myrepository.git
 - [deleted]         refs/tag/test
$ git tag
test2

AUTHOR
Written by Jesús Espino <jespinog@gmail.com>

REPORTING BUGS
<https://github.com/tj/git-extras/issues>

SEE ALSO
<https://github.com/tj/git-extras>